Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 659277 - document steps to enable USB autosuspend feature in guests
Summary: document steps to enable USB autosuspend feature in guests
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Virtualization_Administration_Guide
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Scott Radvan
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-02 11:33 UTC by Marcelo Tosatti
Modified: 2015-04-07 03:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-25 19:41:24 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Marcelo Tosatti 2010-12-02 11:33:10 UTC
Virtualization guide for 6.1 should mention steps to configure usb tablet autosuspend:

"USB selective suspend allows the guest OS to disable host controller polling,
reducing CPU consumption.

To enable selective suspend for the USB tablet on Linux guests (RHEL6 / SLES11 or newer):

echo auto > /sys/devices/pci0000:00/0000:00:01.2/usb1/1-1/power/level

The configuration is not persistent across reboots.

To enable autosuspend in Windows:

1) Enable "Allow the computer to turn off this
device to save power" checkbox in "Power Management" tab of USB Root Hub
properties.

2) Create a REG_BINARY (XP) or REG_DWORD (Vista/2008) key named
SelectiveSuspendEnabled under:

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Enum\USB\VID_0627&PID_0001\1\Device
Parameters

With a value of 1.

The configuration is persistent across reboots.

This feature should only be enabled if the hypervisor is RHEL6.1 or newer.
"

Comment 3 Marcelo Tosatti 2011-01-25 19:41:24 UTC
Closing since it will be enabled automatically by udev.


Note You need to log in before you can comment on or make changes to this bug.